Skip to main content
PUT
/
api
/
v1
/
workspaces
/
{id}
/
logo
Upload workspace logo
curl --request PUT \
  --url https://api.dualship.run/api/v1/workspaces/{id}/logo \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form logo='@example-file'
import requests

url = "https://api.dualship.run/api/v1/workspaces/{id}/logo"

files = { "logo": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('logo', '<string>');

const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.dualship.run/api/v1/workspaces/{id}/logo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "created_at": "2024-01-15T10:30:00Z",
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "logo_url": "https://cdn.example.com/logo.png",
  "metadata": {},
  "name": "Acme Corp",
  "slug": "acme-corp",
  "updated_at": "2024-01-15T10:30:00Z"
}
{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}
{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}
{
"code": "FORBIDDEN",
"error": "insufficient permissions"
}
{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication

Path Parameters

id
string
required

Workspace ID

Body

multipart/form-data

Logo image file (max 5MB, jpeg/png/gif/webp)

Response

Logo uploaded

Workspace information

created_at
string
Example:

"2024-01-15T10:30:00Z"

id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

logo_url
string
Example:

"https://cdn.example.com/logo.png"

metadata
object
name
string
Example:

"Acme Corp"

slug
string
Example:

"acme-corp"

updated_at
string
Example:

"2024-01-15T10:30:00Z"